%define		kdeframever	5.13
%define		qtver		5.3.2
%define		kfname		kitemviews

Summary:	Set of item views extending the Qt model-view framework
Name:		kf5-%{kfname}
Version:	5.13.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	28ec6325a44946432cf5c06cb5a07955
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KItemViews includes a set of views, which can be used with item
models. It includes views for categorizing lists and to add search
filters to flat and hierarchical lists.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%find_lang %{kfname}5_qt --with-qm --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5_qt.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %ghost %{_libdir}/libKF5ItemViews.so.5
%attr(755,root,root) %{_libdir}/libKF5ItemViews.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KItemViews
%{_includedir}/KF5/kitemviews_version.h
%{_libdir}/cmake/KF5ItemViews
%attr(755,root,root) %{_libdir}/libKF5ItemViews.so
%{qt5dir}/mkspecs/modules/qt_KItemViews.pri
%changelog
* Fri Sep 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kitemviews.git;a=log;h=master

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fd4bd3
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f6f4c6
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f75247
- up to 5.10.0

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 30a703f
- up to 5.4.0

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> 93d6afc
- tar.xz deps

* Thu Jul 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7280ced
- typo

* Wed Jul 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 12a199b
- new

